<?php

namespace App\Modules\HtlCampSchedule\Application\List;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class ListHtlCampScheduleQuery implements Query
{
    public function __construct(
        private int $Id_HtlCamp,
        private string $DateTimeStart,
        private string $DateTimeEnd,
    ) {
    }

    public function getIdHtlCamp()
    {
        return $this->Id_HtlCamp;
    }

    public function getDateTimeStart()
    {
        return $this->DateTimeStart;
    }

    public function getDateTimeEnd()
    {
        return $this->DateTimeEnd;
    }
}
